export declare const isLetter: (char: string, regex?: RegExp) => boolean;
export declare const isDigit: (char: string, regex?: RegExp) => boolean;
export declare const isWildcard: (char: string) => boolean;
export declare const isMaskChar: (char: string) => boolean;
export declare const getMaskedValueFromRaw: (mask: string, rawValue: string) => string;
export declare const convertMaskToPlaceholder: (mask: string, placeholderChar: string, reachedIndex?: number) => string;
/**
 * Goes through the mask until it reaches the raw value length and returns the count of non-masked characters
 * @param mask Mask string
 * @param rawLength Length of the raw value
 * @returns Returns the count of non-masked characters
 */
export declare const getNonMaskedCharCount: (mask: string, rawLength: number) => number;
export declare const convertRawValueToMaskedValue: (rawValue: string, mask: string, placeholderChar: string) => string;
interface IsValidInputProps {
    value: string;
    currentMaskChar: string;
    filteredMask: string;
    rawValue: string;
    charRegex: RegExp;
    numRegex: RegExp;
}
export declare const isValidInput: ({ filteredMask, value, rawValue, currentMaskChar, charRegex, numRegex, }: IsValidInputProps) => boolean;
export declare const maskAndValueMatch: (value: string, currentMaskChar: string, charRegex: RegExp, numRegex: RegExp) => boolean;
export declare const isWholeInputSelected: (input: HTMLInputElement, mask: string) => boolean;
export declare const triggerInputChange: (node: HTMLInputElement, inputValue: string) => void;
export * from "./useRunAfterUpdate";
export declare const generateRawValue: (mask: string | undefined, value: string | undefined, charRegex: RegExp, numRegex: RegExp, placeholderChar: string) => {
    maskValue: string;
    rawValue: string;
};
export declare const generateMaskValue: (mask: string, value: string, charRegex: RegExp, numRegex: RegExp, placeholderChar: string) => {
    maskValue: string;
    rawValue: string;
};
export declare const generateDefaultValues: (mask: string | undefined, value: string | undefined, type: "raw" | "mask", charRegex: RegExp, numRegex: RegExp, placeholderChar: string) => {
    maskValue: string;
    rawValue: string;
};
//# sourceMappingURL=index.d.ts.map